GET
models/{modelID}/stream-configs/{elementID}
Retrieve a specific stream configuration.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/tandem/v1/models/{modelID}/stream-configs/{elementID} |
| Authentication Context | user context optional |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios). |
* Required
Request
URI Parameters
| modelID string | Model URN |
| elementID string | Stream element ID |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 403 Forbidden | The request was successfully validated but it did not have the required permissions. |
| 404 Not Found | The requested resource was not found. Check the URI of your request before you resend this request. |
| 500 Internal Server Error | The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com. |
Response
Body Structure (200)
Expand all
| elementId string | |
| streamSettings object | |
| calculationSettings object | |
| * object | |
| clientExpr string | for x representation of the expression |
| enabled boolean | |
| expr string | |
| freq int | in milliseconds |
| statusCode string | status code explaining why the stream calculation is disabled |
| vars object | |
| * object | |
| maxLookback int | in milliseconds |
| sourceIdentifiers array: object | |
| attr string | |
| elem string | |
| offlineTimeout int | |
| sourceMapping object | |
| * object | |
| path string | |
| ts string | |
| thresholds object | |
| * object | |
| alertDefinition object | |
| evaluationPeriodSec int | |
| lower object | |
| alert number | |
| warn number | |
| name string | |
| schema string | |
| upper object | |
| alert number | |
| warn number |